org.apache.ignite.spi.systemview.view

## Class PagesListView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.PagesListView

- Direct Known Subclasses:
    CachePagesListView

      public class PagesListView
      extends Object

  Pages-list representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagesListView(org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList pagesList, int bucket)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `bucketNumber()`
    `long` | `bucketSize()`
    `int` | `cachedPagesCount()`
    `String` | `name()`
    `int` | `pageFreeSpace()`
    `int` | `stripesCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PagesListView

          public PagesListView(org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList pagesList,
                               int bucket)

      Parameters:
        `pagesList` - Pages list.
        `bucket` - Bucket number.

  - ### Method Detail

    - #### name

          public String name()

      Returns:
        Pages-list name.

    - #### bucketNumber

          public int bucketNumber()

      Returns:
        Bucket number.

    - #### bucketSize

          public long bucketSize()

      Returns:
        Bucket size.

    - #### stripesCount

          public int stripesCount()

      Returns:
        Bucket stripes count.

    - #### cachedPagesCount

          public int cachedPagesCount()

      Returns:
        Count of pages cached onheap.

    - #### pageFreeSpace

          public int pageFreeSpace()

      Returns:
        Free space for each page in this bucket.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023